/**************************************************************************
  naw_spinlock_get

  gain a lock on naw processes during a procedure that is potentially
  thread-unsafe.

  all areas within naw_spinlock_get() and naw_spinlock_release() will block
  until the lock is released (a more advanced implementation could block only
  for the specific procedure, but it really wouldn't have much impact for naw).

  returns 0 (NAW_OK) on success, NAW_ERR if there was an error acquiring a
  lock.
 **************************************************************************/

int
naw_spinlock_new(void) {
    int sem = semget(IPC_PRIVATE, 1, IPC_CREAT);
    if (sem == -1)
        die_general("semget");

    return sem;
}

int
naw_spinlock_get(which)
    int which;
{
    struct sembuf op;
    op.sem_num = which;
    op.sem_op  = 

    return 0;
}

void
naw_spinlock_release(void) {
}


