#ifndef _LIBNAW_CFG_DATA_H
#define _LIBNAW_CFG_DATA_H

/* arguments to pass to each function listed in cfg_order.c */
struct cfg_set_args {
    lx_gd *gd;
    lx_s *txt;
    struct cfglink *link;

    struct /* cfgflags */ {
        unsigned short
            optional    :1,
            stage       :1,
            pad         :14;
    } flags;
};


/* all are network byte order */
struct netdata {
    unsigned long bits;   /* netmask */
    unsigned long host;   /* ipv4 address */
    unsigned long port;
};

typedef struct cfglink {
    struct cfglink *cfg_next;
    struct modlinkstub *stub;
    /*
    unsigned int    action:2,
                    pad   :30;
    */
    unsigned char action;
    		 
    struct netdata net_src;
    struct netdata net_dst;
} cfglink;


extern unsigned int linenum;

#endif /* _LIBNAW_CFG_DATA_H */
