#ifndef NAW_CFG_INLINE_H
#define NAW_CFG_INLINE_H


static inline int
char_isblank (char c) {
    if (c == ' ' || c == '\t') return 1;
    return 0;
}

/***************************************************************************
  cfg_line_advance (lx_s *txt, int n)

  Moves txt forward n bytes, plus however many bytes of whitespace follow.

  returns nothing
 ***************************************************************************/
static inline void cfg_line_advance (txt, n)
    lx_s *txt;
    int n;
{
    while (n < txt->len) {
        if (char_isblank(txt->s[n])) n++;
        else break;
    }

    (void) lx_strfw (txt, 0, n);
}

#endif
