#include "moduledata.h"
#include "naw_module.h"


static int testmodule_accept () {
	return 0;
}

static int testmodule_deny () {
	return 0;
}

static int testmodule_auth() {
	return 0;
}


/* called when module is loaded */
int naw_module_init (naw_mod_mainlink *link) {
	if (naw_module_register_name (link)) return 1;

	return 0;
}


/* called when module is invoked */
int naw_module_inject (naw_mod_link *link, int type) {
    switch (type) {

        case MOD_ACCEPT:
            if (naw_module_register_func (link, testmodule_accept))
                    return 1;
            break;

        case MOD_AUTH:
            if (naw_module_register_func (link, testmodule_auth))
                    return 1;
            break;

        case MOD_DENY:
            if (naw_module_register_func (link, testmodule_deny))
                    return 1;
            break;


        default:
            return 1;
    }
			
    return 0;
}

