#!/usr/bin/env python

from distutils.core import setup, Extension
import os

e = os.popen2(['make', '-f', '../../Makefile.env', 'CONFIGDIR'])[1]

CONFIGDIR = e.readline()[0:-1]

nawmodule = Extension('naw.nawinternal',
                include_dirs = ['../../'],
                library_dirs = ['../../'],
                libraries = ['naw_api'],
                extra_compile_args = ['-DNAW_CONFIGDIR="%s"' % CONFIGDIR],
                sources = ['naw/nawinternal.c'])

setup ( name = 'naw',
        version = '0.1',
        description = 'python language bindings for libnaw',
        packages=['naw'],
        ext_modules = [ nawmodule ],
    )

