#ifndef _NAW_CFG_FUNC_H
#define _NAW_CFG_FUNC_H

extern int match_allow    (struct cfg_set_args *);
extern int match_deny     (struct cfg_set_args *);
extern int match_all      (struct cfg_set_args *);
extern int match_from     (struct cfg_set_args *);
extern int match_to       (struct cfg_set_args *);
extern int match_ip_any   (struct cfg_set_args *);
extern int match_ip_host  (struct cfg_set_args *);
extern int match_ip_port  (struct cfg_set_args *);

extern int cfg_var        (struct cfg_set_args *);
extern int cfg_var_expand (const lx_s *, lx_s *);

extern int cfg_module     (struct cfg_set_args *);
extern int cfg_modopt     (struct cfg_set_args *);

extern int get_line_data       (lx_gd *, lx_s *);
extern int cfg_length_word     (lx_gd *, lx_s *);
extern wordset *cfg_check_word (lx_gd *, lx_s *, wordset *, int *);
extern void cfg_set_process    (lx_gd *, lx_s *, struct cfglink *);

extern void cfg_add_word(lx_s *, lx_s *);
extern void cfg_get_word(lx_gd *, lx_s *, lx_s *);

#endif
