#ifndef _NAW_CFG_ORDER_H
#define _NAW_CFG_ORDER_H

/*** flags ***/
/* #define NORETURN 0x01 */
#define ORDERSET 0x02  /* instead of wordset */
#define OPTIONAL 0x04

/*
#define ACTION_DENY  0x0
#define ACTION_ALLOW 0x1
*/

typedef struct wordset {
    char *word;
    void *nextset;   /* next wordset --- or orderset */
    int flags;
    int (*f)();
} wordset;

typedef struct orderset {
    struct wordset *ws;
    unsigned int instance_min; /* 0 for an optional parameter */
    unsigned int instance_max; /* -1 for unlimited (really UINT_MAX) */
/*    int (*f)(); */
} orderset;


extern wordset  ws_main[];
extern wordset  ws_match[];
extern wordset  ws_ip[];
extern wordset  ws_to[];
extern wordset  ws_port[];
extern wordset  ws_modifier[];
extern wordset  ws_modopt[];
extern orderset order_auth[];
extern orderset order_from[];
extern orderset order_module[];

#endif /* _NAW_CFG_ORDER_H */
