#include <sys/time.h>
#include "lxmisc.h"
#include "misc.h"

#if 0
	gather_timestamp()
	put the current timestamp (seconds + microseconds) into a string
	buffer, using the given base.
	returns 0 on success.
#endif

char gather_timestamp (s, base)
	lx_s *s;
	unsigned int base;
{
	struct timeval now;

	if (gettimeofday (&now, 0)) {
		log_debug (1, "gettimeofday() failed", 0,0,0,0);
		return 1;
	}

	if (lx_straddulong (s, (unsigned long) now.tv_sec, base)
	 || lx_straddulong (s, (unsigned long) now.tv_usec, base))
		return 1;

	return 0;
}
