#ifndef NAW_MODULEFUNC_H
#define NAW_MODULEFUNC_H

void *mod_link_new (void);
void *mod_link_attach (void *registry, void *link);
void *mod_link_detach (void **registry, void *link);
void mod_link_destroy (void *link);
void *mod_link_add (void *registry);
void *mod_link_remove (void **registry, void *link);

struct naw_modfuncset {
    int (*accept)(naw_handle *, naw_mod_data *);
    int (*deny)(naw_handle *, naw_mod_data *);
};

#endif /* NAW_MODULEFUNC_H */
